#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 prim-uniq
version:              0.2
visibility:           public
id:                   prim-uniq-0.2-GYpumjGS61QFf8yy6cZie0
key:                  prim-uniq-0.2-GYpumjGS61QFf8yy6cZie0
license:              LicenseRef-PublicDomain
maintainer:           Obsidian Systems, LLC <maintainer@obsidian.systems>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/obsidiansystems/prim-uniq
synopsis:             Opaque unique identifiers in primitive state monads
description:
    Opaque unique identifiers in primitive state monads
    and a GADT-like type using them as witnesses of type
    equality.

category:             Data, Dependent Types
abi:                  4b97eb2c55aee9b8c12cd3287472e755
exposed:              True
exposed-modules:
    Data.Unique.Prim Data.Unique.Tag Unsafe.Unique.Prim
    Unsafe.Unique.Tag

import-dirs:          /usr/lib/ghc-9.2.8/site-local/prim-uniq-0.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/prim-uniq-0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-prim-uniq
hs-libraries:         HSprim-uniq-0.2-GYpumjGS61QFf8yy6cZie0
depends:
    base-4.16.4.0 dependent-sum-0.7.2.0-EiJil7tYq3qBAlWiPgcwz2
    primitive-0.7.4.0-AA8L6ftl9K2CnnGUysF0H7

haddock-interfaces:   /usr/share/doc/haskell-prim-uniq/html/prim-uniq.haddock
haddock-html:         /usr/share/doc/haskell-prim-uniq/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

